> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive document

> Archiving a document makes the document inactive. The document will no longer be accessible via normal API endpoints, but the document is retained and can be unarchived in the future.



## OpenAPI

````yaml post /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId}/archive
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId}/archive:
    post:
      tags: []
      summary: Archive document
      description: >-
        Archiving a document makes the document inactive. The document will no
        longer be accessible via normal API endpoints, but the document is
        retained and can be unarchived in the future.
      operationId: business.documents.archive.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to archive the document for
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          description: The UUID of the transaction to associate this document with
          required: true
          schema:
            type: string
        - name: documentId
          in: path
          description: The UUID of the document to fetch
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponse'
        '404':
          description: Business, transaction, or document id is not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    EmptyResponse:
      type: object
      properties:
        type:
          type: string
          description: >-
            Resource type. Value will be
            'com.layerfi.controllers.EmptyResponse'.
          example: '{}'
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````